with Globals, Ints, Strings, Params;
use Globals, Ints, Strings, Params;
with Approx_Fixpt, Check_Fixpt;

pragma Elaborate_All (Globals,Ints,Strings,Approx_Fixpt);

procedure Run_All is

  NT: constant Positive := GetArg;      --- number of concurrent tasks

  procedure Run(I: Positive) is
    P: Param renames PList(I);
  begin
    Show1("PList entry ",I);
    Approx_Fixpt(P);
    Show0("Approx_Fixpt done");
    if P.Contr_PackSize>0 then
      Check_Fixpt(P);
      Show0("Check_Fixpt done");
    end if;
    Show0("--------------------------------");
  end Run;

begin

  NTasks := NT;
  for I in PList'Range loop Run(I); end loop;

end Run_All;
