with Strings;
use Strings;

pragma Elaborate_All (Strings);

package body Params is

  procedure Show(N: in String; P: in Param) is
  begin
    Show0(N & "        Prefix: " & P.Prefix);
    Show1(N & "         Scale:",P.Scale);
    Show1(N & "            Mu:",P.Mu);
    Show1(N & "         Model:",P.Model);
    Show1(N & "          Symm:",P.Symm);
    Show1(N & "           Rho:",P.Rho);
    Show1(N & "         Decay:",P.Decay);
    Show1(N & "         CLast:",P.CLast);
    Show1(N & "         JCMax:",P.JCMax);
    Show1(N & "         AAPow:",P.AAPow);
    Show1(N & "  Mat_PackSize:",P.Mat_PackSize);
    Show1(N & "Contr_PackSize:",P.Contr_PackSize);
  end Show;

  function Max_Size_Legend(P: Param_List) return Positive is
    Size: Positive := 1;
  begin
    for I in P'Range loop Size := IMax(Size,P(I).CLast); end loop;
    return Size;
  end Max_Size_Legend;

  function Max_Size_Chain(P: Param_List) return Positive is
    Size: Positive := 1;
  begin
    for I in P'Range loop Size := IMax(Size,P(I).JCMax); end loop;
    return Size;
  end Max_Size_Chain;

end Params;
